package com.sky.ioc.service.Parking.impl;

import com.sky.ioc.entity.params.IocDateParam;
import com.sky.ioc.service.Parking.ParkingService;
import com.sky.ioc.tool.FalseData;
import com.sky.ioc.tool.ReturnMsg;
import org.springframework.stereotype.Service;

/**
 * TODO 智慧停车
 * @Description
 * @Author LunCe
 * @Date 2023/2/10 13:45
 **/
@Service
public class ParkingServiceImpl implements ParkingService {


    @Override
    public ReturnMsg getCoreIndicators(IocDateParam iocDateParam) {
        return ReturnMsg.ok(FalseData.REPORTFORMSLIST4);
    }

    @Override
    public ReturnMsg getTrafficflowSituation(IocDateParam iocDateParam) {
        return ReturnMsg.ok(FalseData.REPORTFORMSMAP);
    }

    @Override
    public ReturnMsg getVacantParkingSpace(IocDateParam iocDateParam) {
        return ReturnMsg.ok(ReturnMsg.fail());
    }
    @Override
    public ReturnMsg getParkingSpaceDetails(IocDateParam iocDateParam) {
        return ReturnMsg.ok(FalseData.REPORTFORMSLIST5);
    }


    @Override
    public ReturnMsg getStopViolation(IocDateParam iocDateParam) {
        return ReturnMsg.ok(FalseData.REPORTFORMSLIST2);
    }

    @Override
    public ReturnMsg getOccupationOfParkingSpace(IocDateParam iocDateParam) {
        return ReturnMsg.ok(FalseData.REPORTFORMSLIST2);
    }


}
