package com.sky.ioc.service.fitness.impl;

import com.sky.ioc.entity.params.IocDateParam;
import com.sky.ioc.service.fitness.HealthService;
import com.sky.ioc.tool.FalseData;
import com.sky.ioc.tool.ReturnMsg;
import org.springframework.stereotype.Service;

/**
 * TODO 健康小屋
 * @Description
 * @Author LunCe
 * @Date 2023/2/10 17:35
 **/

@Service
public class HealthServiceImpl implements HealthService {
    @Override
    public ReturnMsg getCoreIndicators(IocDateParam iocDateParam) {
        return ReturnMsg.ok(FalseData.REPORTFORMSLIST4);
    }

    @Override
    public ReturnMsg getHutAnalysis(IocDateParam iocDateParam) {
        return ReturnMsg.ok(FalseData.REPORTFORMSMAP);
    }

    @Override
    public ReturnMsg getEnvironmentalDetection(IocDateParam iocDateParam) {
        return ReturnMsg.ok(FalseData.REPORTFORMSLIST3);
    }
}
