package com.sky.ioc.controller.security;

import com.sky.ioc.entity.params.IocDateParam;
import com.sky.ioc.service.security.SecurityService;
import com.sky.ioc.tool.ReturnMsg;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * TODO
 *
 * @Description
 * @Author LunCe
 * @Date 2023/3/7 15:30
 **/
@Api(tags = "智慧安防--安防联动")
@Slf4j
@RestController
@RequestMapping("/security_linkage")
public class LinkageController {

    @Autowired
    private SecurityService securityService;



    @ApiOperation("告警管理--核心指标")
    @PostMapping("/getLinkageCoreIndicators")
    public ReturnMsg getLinkageCoreIndicators(@RequestBody  IocDateParam iocDateParam){
        return securityService.getLinkageCoreIndicators(iocDateParam);
    }




}
