package com.sky.ioc.service.carbon.impl;

import com.alibaba.fastjson.JSONObject;
import com.sky.ioc.entity.Indeicator;
import com.sky.ioc.entity.params.IocDateParam;
import com.sky.ioc.service.carbon.CarbonService;
import com.sky.ioc.tool.ReturnMsg;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

/**
 * TODO  双碳
 * @Description
 * @Author LunCe
 * @Date 2023/2/22 11:40
 **/

@Service
public class CarbonServiceImpl implements CarbonService {




    /**
     * TODO  智能看板 --碳配额
     * @Description
     * @Return com.sky.ioc.tool.ReturnMsg
     * @Author LunCe
     * @date 2023/2/22 11:41
     */
    @Override
    public ReturnMsg getCarbonQuota() {
        List<Map<String,Object>> listMap = new ArrayList<>();
        listMap.get(0).put("info","上分");
        listMap.get(0).put("consumed",500);
        listMap.get(0).put("carbonQuota",100);

        listMap.get(1).put("info","广分");
        listMap.get(1).put("consumed",500);
        listMap.get(1).put("carbonQuota",200);

        listMap.get(2).put("info","郑分");
        listMap.get(2).put("consumed",500);
        listMap.get(2).put("carbonQuota",402);

        listMap.get(3).put("info","规划院");
        listMap.get(3).put("consumed",500);
        listMap.get(3).put("carbonQuota",520);

        listMap.get(4).put("info","总部");
        listMap.get(4).put("consumed",500);
        listMap.get(4).put("carbonQuota",520);
        return ReturnMsg.ok(listMap);
    }

    @Override
    public ReturnMsg getPrintingCoreIndicators(IocDateParam iocDateParam) {
        Indeicator indeicator = new Indeicator();
        List<JSONObject> objects = indeicator.getList();
        objects.get(0).put("value",10);
        objects.get(0).put("compare",0.4);

        objects.get(1).put("value",80);
        objects.get(1).put("compare",0.4);

        objects.get(2).put("value",80);
        objects.get(2).put("compare",0.4);

        objects.get(3).put("value",80);
        objects.get(3).put("compare",0.4);
        indeicator.setWorthAttention("今日人流高峰在9:00/17:00，记得提前做好应对喔");
        indeicator.setList(objects);
        return ReturnMsg.ok(indeicator);
    }

    @Override
    public ReturnMsg getPrintingCostTrend(IocDateParam iocDateParam) {
        return null;
    }

    @Override
    public ReturnMsg getConferenceRoomInfo(IocDateParam iocDateParam) {
        return null;
    }

    @Override
    public ReturnMsg getBusCoreIndicators(IocDateParam iocDateParam) {
        Indeicator indeicator = new Indeicator();
        List<JSONObject> objects = indeicator.getList();
        objects.get(0).put("value",100);
        objects.get(0).put("compare",0.4);

        objects.get(1).put("value",80);
        objects.get(1).put("compare",0.4);

        objects.get(2).put("value",80);
        objects.get(2).put("compare",0.4);

        objects.get(3).put("value",80);
        objects.get(3).put("compare",0.4);
        indeicator.setWorthAttention("增加20个公车数量");
        indeicator.setList(objects);
        return ReturnMsg.ok(indeicator);
    }

    @Override
    public ReturnMsg getBusInfo(IocDateParam iocDateParam) {
        return null;
    }

    @Override
    public ReturnMsg getBusCostTrend(IocDateParam iocDateParam) {
        return null;
    }

    @Override
    public ReturnMsg getFloorCoreIndicators(IocDateParam iocDateParam) {
        Indeicator indeicator = new Indeicator();
        List<JSONObject> objects = indeicator.getList();
        objects.get(0).put("value",60);

        objects.get(1).put("value",500);
        objects.get(1).put("compare",0.4);

        objects.get(2).put("value",380);
        objects.get(2).put("compare",0.4);

        objects.get(3).put("value",80);
        objects.get(3).put("compare",0.4);
        objects.add(new JSONObject());
        objects.get(4).put("value",40);
        objects.get(4).put("compare",0.4);

        indeicator.setWorthAttention("减少2辆车出行一周");
        indeicator.setList(objects);
        return ReturnMsg.ok(indeicator);
    }

    @Override
    public ReturnMsg getCarbonInfo(IocDateParam iocDateParam) {
        return null;
    }

    @Override
    public ReturnMsg getCarbonQuotaComposition(IocDateParam iocDateParam) {
        return null;
    }

    @Override
    public ReturnMsg getCarbonNews(IocDateParam iocDateParam) {
        return null;
    }

    @Override
    public ReturnMsg getCarbonProportion(IocDateParam iocDateParam) {
        return null;
    }

    @Override
    public ReturnMsg getVehicleCoreIndicators(IocDateParam iocDateParam) {
        Indeicator indeicator = new Indeicator();
        List<JSONObject> objects = indeicator.getList();
        objects.get(0).put("value",60);
        objects.get(0).put("compare",0.4);

        objects.get(1).put("value",50);
        objects.get(1).put("compare",0.4);

        objects.get(2).put("value",5);
        objects.get(2).put("compare",0.4);

        objects.get(3).put("value",80);
        objects.get(3).put("compare",0.4);
        indeicator.setWorthAttention("减少2辆车出行一周");
        indeicator.setList(objects);
        return ReturnMsg.ok(indeicator);
    }

    @Override
    public ReturnMsg getVehicleInfo(IocDateParam iocDateParam) {
        return null;
    }

    @Override
    public ReturnMsg getVehicleInfoOrder(IocDateParam iocDateParam) {
        return null;
    }

    @Override
    public ReturnMsg getPrintCoreIndicators(IocDateParam iocDateParam) {
        Indeicator indeicator = new Indeicator();
        List<JSONObject> objects = indeicator.getList();
        objects.get(0).put("value",60);
        objects.get(0).put("compare",0.4);

        objects.get(1).put("value",50);
        objects.get(1).put("compare",0.4);

        objects.get(2).put("value",500);
        objects.get(2).put("compare",0.4);

        objects.get(3).put("value",80);
        objects.get(3).put("compare",0.4);
        indeicator.setWorthAttention("限制人均每天打印100张以内");
        indeicator.setList(objects);
        return ReturnMsg.ok(indeicator);
    }

    @Override
    public ReturnMsg getPrintInfoOrder(IocDateParam iocDateParam) {
        return null;
    }

    @Override
    public ReturnMsg getPrintInfo(IocDateParam iocDateParam) {
        return null;
    }

    @Override
    public ReturnMsg getPhotovoltaicInfoOrder(IocDateParam iocDateParam) {
        return null;
    }

    @Override
    public ReturnMsg getPhotovoltaicInfo(IocDateParam iocDateParam) {
        return null;
    }

    @Override
    public ReturnMsg getPhotovoltaicCoreIndicators(IocDateParam iocDateParam) {
        Indeicator indeicator = new Indeicator();
        List<JSONObject> objects = indeicator.getList();
        objects.get(0).put("value",60);
        objects.get(0).put("compare",0.4);

        objects.get(1).put("value",50);
        objects.get(1).put("compare",0.4);

        objects.get(2).put("value",500);
        objects.get(2).put("compare",0.4);

        objects.get(3).put("value",80);
        objects.get(3).put("compare",0.4);
        indeicator.setWorthAttention("建议扩大光伏发电面积");
        indeicator.setList(objects);
        return ReturnMsg.ok(indeicator);
    }
}
