package com.sky.ioc.service.energy.impl;

import com.alibaba.fastjson.JSONObject;
import com.sky.ioc.entity.Indeicator;
import com.sky.ioc.service.energy.EnergyService;
import com.sky.ioc.tool.FalseData;
import com.sky.ioc.tool.ReturnMsg;
import org.springframework.stereotype.Service;

import java.util.Collections;
import java.util.List;

/**
 * TODO
 * @Description  能源实现类
 * @Author LunCe
 * @Date 2023/2/23 11:24
 **/
@Service
public class EnergyServiceImpl implements EnergyService {
    @Override
    public ReturnMsg getElectricityCoreIndicators() {
        Indeicator indeicator = new Indeicator();
        List<JSONObject> objects = indeicator.getList();
        objects.get(0).put("value",2000);
        objects.get(0).put("compare",0.4);

        objects.get(1).put("value",200);
        objects.get(1).put("compare",0.4);

        objects.get(2).put("value",30);

        objects.get(3).put("value",80);
        objects.get(3).put("compare",0.4);
        indeicator.setWorthAttention("用电成本月增速5%，主为动力用电");
        indeicator.setList(objects);
        return ReturnMsg.ok(indeicator);
    }

    @Override
    public ReturnMsg getElectricityInfoList() {
        return ReturnMsg.ok( FalseData.REPORTFORMSMAP);
    }

    @Override
    public ReturnMsg getElectricityCircleInfoList() {
        return ReturnMsg.ok(FalseData.REPORTFORMSLIST2);
    }

    @Override
    public ReturnMsg getWaterCoreIndicators() {
        Indeicator indeicator = new Indeicator();
        List<JSONObject> objects = indeicator.getList();
        objects.get(0).put("value",2000);
        objects.get(0).put("compare",0.4);

        objects.get(1).put("value",200);
        objects.get(1).put("compare",0.4);

        objects.get(2).put("value",30);

        objects.get(3).put("value",20);
        objects.get(3).put("compare",0.4);
        indeicator.setWorthAttention("用水量低于行业标准20%");
        indeicator.setList(objects);
        return ReturnMsg.ok(indeicator);
    }

    @Override
    public ReturnMsg getWaterInfoList() {
        return ReturnMsg.ok( FalseData.REPORTFORMSMAP);
    }

    @Override
    public ReturnMsg getWaterCircleInfoList() {
        return ReturnMsg.ok(FalseData.REPORTFORMSLIST2);
    }

    @Override
    public ReturnMsg getUseColdCoreIndicators() {
        Indeicator indeicator = new Indeicator();
        List<JSONObject> objects = indeicator.getList();
        objects.get(0).put("value",2000);
        objects.get(0).put("compare",0.4);

        objects.get(1).put("value",30);

        objects.get(2).put("value",80);

        objects.get(3).put("value",10);
        objects.get(3).put("compare",0.4);
        indeicator.setWorthAttention("本月用冷超过行业标准20%");
        indeicator.setList(objects);
        return ReturnMsg.ok(indeicator);
    }

    @Override
    public ReturnMsg getUseColdInfoList() {
        return ReturnMsg.ok( FalseData.REPORTFORMSMAP);
    }

    @Override
    public ReturnMsg getUseHeatCoreIndicators() {
        Indeicator indeicator = new Indeicator();
        List<JSONObject> objects = indeicator.getList();
        objects.get(0).put("value",2000);
        objects.get(0).put("compare",0.4);

        objects.get(1).put("value",30);

        objects.get(2).put("value",10);

        objects.get(3).put("value",10);
        objects.get(3).put("compare",0.4);
        indeicator.setWorthAttention("本月用热将超过行业标准20%");
        indeicator.setList(objects);
        return ReturnMsg.ok(indeicator);
    }

    @Override
    public ReturnMsg getUseHeatInfoList() {
        return ReturnMsg.ok( FalseData.REPORTFORMSMAP);
    }
}
