package com.sky.ioc.service.supermarket.impl;

import com.alibaba.fastjson.JSONObject;
import com.sky.ioc.entity.Indeicator;
import com.sky.ioc.entity.params.IocDateParam;
import com.sky.ioc.service.supermarket.SupermarketService;
import com.sky.ioc.tool.FalseData;
import com.sky.ioc.tool.ReturnMsg;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * TODO
 *
 * @Description
 * @Author LunCe
 * @Date 2023/2/10 14:19
 **/
@Service
public class SupermarketServiceImpl implements SupermarketService {
    @Override
    public ReturnMsg getCoreIndicators(IocDateParam iocDateParam) {
        return  ReturnMsg.ok(FalseData.REPORTFORMSLIST4);
    }

    @Override
    public ReturnMsg getQuotientAnalysiss(IocDateParam iocDateParam) {
        return  ReturnMsg.ok( FalseData.REPORTFORMSMAP);
    }

    @Override
    public ReturnMsg getProductRanking(IocDateParam iocDateParam) {
        return ReturnMsg.ok(FalseData.REPORTFORMSLIST5);
    }

    @Override
    public ReturnMsg getSupermarketInfoList() {
       return ReturnMsg.ok( FalseData.REPORTFORMSMAP);
    }

    @Override
    public ReturnMsg getSupermarketCoreIndicators() {
        Indeicator indeicator = new Indeicator();
        List<JSONObject> objects = indeicator.getList();
        objects.get(0).put("value",2000);
        objects.get(0).put("compare",0.4);

        objects.get(1).put("value",1800);
        objects.get(1).put("compare",0.4);

        objects.get(2).put("value",18);
        objects.get(2).put("compare",0.4);

        objects.get(3).put("value",200);

        indeicator.setWorthAttention("提高合同额");
        indeicator.setList(objects);
        return ReturnMsg.ok(indeicator);
    }
}
